### Virtual Method

# Shumate Layer get_debug_text

#### Declaration [src]

    char*
    get_debug_text (
      ShumateLayer* self
    )

#### Description [src]

Returns a string to show in the debug overlay, which can be enabled in the GTK inspector.

#### Return value

Type: `char*`

A string with debug text.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.